Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javafe.util
Class ErrorSet.StandardReporter

    java.lang.Object
      javafe.util.ErrorSet.StandardReporter

All Implemented Interfaces:
  ErrorSet.Reporter

Enclosing class:
  ErrorSet

public static class ErrorSet.StandardReporter
extends java.lang.Object
implements ErrorSet.Reporter

Constructor Summary
`ErrorSet.StandardReporter()`

Method Summary
`void` | `report(int severity, int loc, int length, java.lang.String message)` Unified interface for reporting information - all messages to the user go through this method.
`void` | `reportAssociatedInfo(int loc)` This method reports the location of an associated bit of information (e.g. the location of a referenced declaration) that goes with the most recent call of 'report'.
`void` | `reportAssociatedInfo2(int loc, ClipPolicy cp)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ErrorSet.StandardReporter

    public ErrorSet.StandardReporter()

Method Detail

### report

    public void report(int severity,
                       int loc,
                       int length,
                       java.lang.String message)

  Description copied from interface: `ErrorSet.Reporter`
  Unified interface for reporting information - all messages to the user go through this method.

  Specified by:
    `report` in interface `ErrorSet.Reporter`
  Parameters:
    `severity` - - the severity of the condition: 0 for information 1 for warnings, 2 for errors
    `loc` - - the location (as in @loc(javafe.util.Location)) referred to by the message; Location.NULL if the message does not refer to any location in particular
    `length` - - the length of the section of the line that should be high-lighted; -1 if the length is not known.
    `message` - - the text message to be conveyed to the user

### reportAssociatedInfo

    public void reportAssociatedInfo(int loc)

  Description copied from interface: `ErrorSet.Reporter`
  This method reports the location of an associated bit of information (e.g. the location of a referenced declaration) that goes with the most recent call of 'report'.

  Specified by:
    `reportAssociatedInfo` in interface `ErrorSet.Reporter`
  Parameters:
    `loc` - The Location of theassociated information

### reportAssociatedInfo2

    public void reportAssociatedInfo2(int loc,
                                      ClipPolicy cp)

  Specified by:
    `reportAssociatedInfo2` in interface `ErrorSet.Reporter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage